filter_create_fp(3)

NAME
filter_create_fp - similar to filter_create_fd except with buffered FILE*

SYNOPSIS
#include <util/filter.h> NEOERR *filter_create_fp(const char *cmd, FILE **in, FILE **out, FILE **err,
                        pid_t *pid);

ARGUMENTS
cmd -> the sub command to execute. Will be executed with
/bin/sh -c
in -> pointer to return the stdin pipe, or NULL if you don't
want the stdin pipe
out -> pointer to return the stdout pipe, or NULL if you don't
want the stdout pipe
err -> pointer to return the stderr pipe, or NULL if you don't
want the stderr pipe

DESCRIPTION
filter_create_fp is identical to filter_create_fd, except each of the pipes is wrapped in a buffered stdio FILE

RETURN VALUE
in -> the stdin FILE of the sub process
out -> the stdout FILE of the sub process
err -> the stderr FILE of the sub process
pid -> the pid of the sub process

SEE ALSO
filter_wait(3), filter_create_fp(3), filter_create_fd